summaryrefslogtreecommitdiffstats
path: root/bin/reproducible_nodes_info.sh
diff options
context:
space:
mode:
authorHolger Levsen <holger@layer-acht.org>2016-10-19 11:32:41 +0200
committerHolger Levsen <holger@layer-acht.org>2016-10-19 11:32:41 +0200
commit2f03eeb37a0ba456541d1134aaae6b903e563eb9 (patch)
treeff20921fd8684ae784f42be0315d0fdeb95de25f /bin/reproducible_nodes_info.sh
parentbe161cc59f2539adaa3f48e255dfcd68b005029f (diff)
downloadjenkins.debian.net-2f03eeb37a0ba456541d1134aaae6b903e563eb9.tar.xz
reproducible Debian: handle broken nodes gracefully
Diffstat (limited to 'bin/reproducible_nodes_info.sh')
-rwxr-xr-xbin/reproducible_nodes_info.sh6
1 files changed, 6 insertions, 0 deletions
diff --git a/bin/reproducible_nodes_info.sh b/bin/reproducible_nodes_info.sh
index a41c0f6a..f7ab93fd 100755
--- a/bin/reproducible_nodes_info.sh
+++ b/bin/reproducible_nodes_info.sh
@@ -29,7 +29,13 @@ for NODE in $BUILD_NODES jenkins.debian.net ; do
export NODE_NAME=$NODE
export JOB_NAME=$JOB_NAME
echo "$(date -u) - Trying to update $TARGET_DIR/$NODE."
+ set +e
/srv/jenkins/bin/jenkins_master_wrapper.sh /srv/jenkins/bin/reproducible_info.sh > $TMPFILE_SRC
+ if [ $? -eq 1 ] ; then
+ echo "$(date -u) - Warning: could not update $TARGET_DIR/$NODE."
+ continue
+ fi
+ set -e
for KEY in $BUILD_ENV_VARS ; do
VALUE=$(egrep "^$KEY=" $TMPFILE_SRC | cut -d "=" -f2-)
if [ ! -z "$VALUE" ] ; then